> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Chat Model List

> Interface description: Get the list of dialogue models and capability information available for the current account, which is used to select models, display model capabilities and price information before calling the dialogue interface.



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/ai/models/chat
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/ai/models/chat:
    get:
      tags:
        - AI Services/Large Language Models
      summary: Chat Model List
      description: >-
        Interface description: Get the list of dialogue models and capability
        information available for the current account, which is used to select
        models, display model capabilities and price information before calling
        the dialogue interface.
      operationId: ChatController_getChatModels
      parameters: []
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/ChatModelConfigVo'
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      - name: string
                        description: string
                        tags: []
                        channel: openai
                        inputModalities:
                          - text
                        outputModalities:
                          - text
                        pricing:
                          price: string
                          originPrice: string
                        summary: string
                        logo: string
                        mainTag: string
                        scenes:
                          - string
                        fixedImagePricing:
                          - resolution: string
                            price: 1
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security: []
components:
  schemas:
    ChatModelConfigVo:
      type: object
      properties:
        name:
          type: string
          description: name
        description:
          type: string
          description: describe
        summary:
          type: string
          description: short summary
        logo:
          type: string
          description: logo
        tags:
          default: []
          type: array
          items:
            type: string
          description: Label
        mainTag:
          type: string
          description: main tags
        channel:
          type: string
          description: channel
          enum:
            - openai
            - deepseek
            - anthropic
            - gemini
        scenes:
          description: Applicable scenarios
          type: array
          items:
            type: string
        inputModalities:
          type: array
          items:
            type: string
            enum:
              - text
              - image
              - video
              - audio
          description: Support input modal
        outputModalities:
          type: array
          items:
            type: string
            enum:
              - text
              - image
              - video
              - audio
          description: Support output modal
        pricing:
          anyOf:
            - type: object
              properties:
                price:
                  type: string
                  description: price
                originPrice:
                  description: original price
                  type: string
              required:
                - price
              additionalProperties: false
            - type: object
              properties:
                tiers:
                  minItems: 1
                  type: array
                  items:
                    type: object
                    properties:
                      maxInputTokens:
                        type: integer
                        exclusiveMinimum: true
                        maximum: 9007199254740991
                        minimum: 0
                        description: >-
                          The maximum number of input tokens applicable to the
                          current price tier
                      input:
                        type: object
                        properties:
                          text:
                            type: string
                          image:
                            type: string
                          video:
                            type: string
                          audio:
                            type: string
                          cacheRead:
                            type: string
                          cacheWrite5m:
                            type: string
                          cacheWrite1h:
                            type: string
                        required:
                          - text
                        additionalProperties: false
                        description: Input side billing information of the current level
                      output:
                        type: object
                        properties:
                          text:
                            type: string
                          image:
                            type: string
                          video:
                            type: string
                          audio:
                            type: string
                          cacheRead:
                            type: string
                          cacheWrite5m:
                            type: string
                          cacheWrite1h:
                            type: string
                        required:
                          - text
                        additionalProperties: false
                        description: Output side charging information of the current level
                    required:
                      - input
                      - output
                    additionalProperties: false
                  description: Tiered prices
                originPricing:
                  description: Tiered original price
                  type: object
                  properties:
                    tiers:
                      minItems: 1
                      type: array
                      items:
                        type: object
                        properties:
                          maxInputTokens:
                            type: integer
                            exclusiveMinimum: true
                            maximum: 9007199254740991
                            minimum: 0
                            description: >-
                              The maximum number of input tokens applicable to
                              the current price tier
                          input:
                            type: object
                            properties:
                              text:
                                type: string
                              image:
                                type: string
                              video:
                                type: string
                              audio:
                                type: string
                              cacheRead:
                                type: string
                              cacheWrite5m:
                                type: string
                              cacheWrite1h:
                                type: string
                            required:
                              - text
                            additionalProperties: false
                            description: >-
                              Input side billing information of the current
                              level
                          output:
                            type: object
                            properties:
                              text:
                                type: string
                              image:
                                type: string
                              video:
                                type: string
                              audio:
                                type: string
                              cacheRead:
                                type: string
                              cacheWrite5m:
                                type: string
                              cacheWrite1h:
                                type: string
                            required:
                              - text
                            additionalProperties: false
                            description: >-
                              Output side charging information of the current
                              level
                        required:
                          - input
                          - output
                        additionalProperties: false
                      description: Tiered prices
                  required:
                    - tiers
                  additionalProperties: false
              required:
                - tiers
              additionalProperties: false
          description: price
        fixedImagePricing:
          type: array
          items:
            type: object
            properties:
              resolution:
                type: string
                description: Picture specifications
              price:
                type: number
                description: Picture price
            required:
              - resolution
              - price
            additionalProperties: false
          description: Fixed image price
      required:
        - name
        - description
        - tags
        - channel
        - inputModalities
        - outputModalities
        - pricing
      additionalProperties: false

````